LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::chart::ChartAxisType Constant Group Referencepublished

## Variables
const long | AUTOMATIC = 0
| the type of the axis is chosen automatically dependent on the chart type, the dimension and the underlying data More...
const long | CATEGORY = 1
| the axis represent discrete category texts if chart type and the dimension allows More...
const long | DATE = 2
| the axis shows dates if the given data and chart type and the dimension allows More...

## Detailed Description

Since
  OOo 3.4

## Variable Documentation

## ◆ AUTOMATIC

const long AUTOMATIC = 0

the type of the axis is chosen automatically dependent on the chart type, the dimension and the underlying data

## ◆ CATEGORY

const long CATEGORY = 1

the axis represent discrete category texts if chart type and the dimension allows

## ◆ DATE

const long DATE = 2

the axis shows dates if the given data and chart type and the dimension allows